def MNK(x, y):
    n = len(x)
    avX, avY = sum(x) / n, sum(y) / n

    # числитель и знаменатель для расчёта w1
    up = sum((y[i] - avY) * (x[i] - avX) for i in range(n))
    down = sum((x[i] - avX) ** 2 for i in range(n))

    w1 = up / down
    w0 = avY - w1 * avX

    return (w0, w1)

f = open('ИИ_1.txt', encoding='utf-8')
x, y = dict(), dict()
for line in f:
    xc, yc, time = f.readline().split()
    if time not in x:
        x[time] = [float(xc)]
        y[time] = [float(yc)]
    else:
        x[time].append(float(xc))
        y[time].append(float(yc))

mx_sum, mx_w0, mx_w1 = 0, 0, 0
for key in x:
    w0, w1 = MNK(x[key], y[key])
    print(key, w0, w1, w0 + w1)

    if w0 + w1 > mx_sum:
        mx_sum = w0 + w1
        mx_w0 = w0 
        mx_w1 = w1

print('Ответ:', int(mx_w0 * 10000), int(mx_w1 * 10000))
