def get_number_cluster(x, y, R=2.5):
    if (x - 2) ** 2 + (y - 2.5) ** 2 <= R ** 2:
        return 1
    elif (x - 8) ** 2 + (y - 10.5) ** 2 <= R ** 2:
        return 2
    return 0

f = open('ML-18.txt')
n = int(f.readline())
points = []
for i in range(n):
    x, y = map(float, f.readline().split())
    points.append((x, y))

counts = [0] * 3
for x, y in points:
    index = get_number_cluster(x, y)
    counts[index] += 1
print(counts[1], counts[2])


